Delete a specific secret by id
curl --request DELETE \
--url https://api.rootly.com/v1/secrets/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "37baec09-fe72-40a0-9fc4-5403a8cce846",
"type": "secrets",
"attributes": {
"kind": "built_in",
"name": "qoblwsyrfn",
"secret": "[REDACTED]",
"hashicorp_vault_mount": "secret",
"hashicorp_vault_path": null,
"hashicorp_vault_version": 0,
"created_at": "2026-01-21T11:22:40.999-08:00",
"updated_at": "2026-01-21T11:22:42.423-08:00"
}
}
}Was this page helpful?
curl --request DELETE \
--url https://api.rootly.com/v1/secrets/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "37baec09-fe72-40a0-9fc4-5403a8cce846",
"type": "secrets",
"attributes": {
"kind": "built_in",
"name": "qoblwsyrfn",
"secret": "[REDACTED]",
"hashicorp_vault_mount": "secret",
"hashicorp_vault_path": null,
"hashicorp_vault_version": 0,
"created_at": "2026-01-21T11:22:40.999-08:00",
"updated_at": "2026-01-21T11:22:42.423-08:00"
}
}
}